Option Compare Binary
Option Explicit On 
Option Strict On

Public Class CFoodSource

    ' The location, in dome co-ordinates.
    Private mptLocation As PointF

    ' The score, where the sugar concentration is measured in mol/L.
    Private mdblScore As Double

    Public Sub New(ByVal ptLocation As PointF, ByVal dblScore As Double)
        MyBase.New()
        mptLocation = ptLocation
        mdblScore = dblScore
    End Sub

    Public ReadOnly Property Location() As PointF
        Get
            Return mptLocation
        End Get
    End Property

    Public ReadOnly Property Score() As Double
        Get
            Return mdblScore
        End Get
    End Property

End Class
