Option Compare Binary
Option Explicit On 
Option Strict On

Public Class CVideo

    ' The time slices.
    Private mintCount As Integer = 0
    Private mtsTimeSlices As CTimeSlice()

    Public Sub Add(ByVal tsThis As CTimeSlice)

        ' Make room for the new time slice in the array.
        ReDim Preserve mtsTimeSlices(mintCount)

        ' Store a reference to it in the array.
        mtsTimeSlices(mintCount) = tsThis

        ' Increment the number of time slices.
        mintCount += 1

    End Sub

    Public Function Count() As Integer
        Return mintCount
    End Function

    Public Function Item(ByVal intIndex As Integer) As CTimeSlice
        Return mtsTimeSlices(intIndex)
    End Function

    Public Sub Load()

    End Sub

    Public Sub Save()

    End Sub

End Class
